# Uses of Interface
org.eclipse.core.filesystem.IFileTree

Packages that use IFileTree
Package
Description
org.eclipse.core.filesystem
Provides an interface for interacting with a file system.
org.eclipse.core.filesystem.provider
Provides an API to be extended by a file system implementation.

## Uses of IFileTree in org.eclipse.core.filesystem

Methods in org.eclipse.core.filesystem that return IFileTree
Modifier and Type
Method
Description
`IFileTree`
IFileSystem.`fetchFileTree(IFileStore root, IProgressMonitor monitor)`
Returns a file tree containing information about the complete sub-tree rooted at the given store.

## Uses of IFileTree in org.eclipse.core.filesystem.provider

Classes in org.eclipse.core.filesystem.provider that implement IFileTree
Modifier and Type
Class
Description
`class`
`FileTree`
The abstract superclass of all `IFileTree` implementations.
Methods in org.eclipse.core.filesystem.provider that return IFileTree
Modifier and Type
Method
Description
`IFileTree`
FileSystem.`fetchFileTree(IFileStore root, IProgressMonitor monitor)`
Returns a file tree containing information about the complete sub-tree rooted at the given store.